<template>
  <input type="hidden" :id="fieldPrefix + field.name" v-model="fieldValue" />
</template>

<script>
import { useVFormControl } from '../../plugins/vform-plugin.js'

export default {
  name: 'VFormHidden',
  props: {
    formName: { type: String, required: true },
    field: { type: Object, required: true },
    fieldPrefix: { type: String, required: true },
    modelState: { type: Object, default: null }, // Taken from the API response if validation fails at the server.
    busy: { type: Boolean, default: false },
  },
  setup(props, context) {
    return useVFormControl(props, context)
  },
}
</script>
